<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|     Bootstrap 3 Theme for e107 v2.x

|     ¦Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /e107_themes/BS_Gaming_01/theme.php,v $
|     $Revision: 1.00 $
|     $Date: 2015/11/07 $
|     $Author: fizi $
+----------------------------------------------------------------------------+
*/
if (!defined('e107_INIT')) { exit; }

// [multilanguage]
e107::lan('theme'); // loads e107_themes/CURRENT_THEME/languages/English.php (when English is selected)

define("BOOTSTRAP", 	3);
define("FONTAWESOME", 	4);
define('VIEWPORT', 		"width=device-width, initial-scale=1.0");   

e107::css("theme", 			"css/bootstrap.css"); // 3.3.7  
e107::css('theme', 			'css/bootstrap-theme.css'); // 3.3.7
e107::css("theme", 			"css/font-awesome.css"); // 4.7.0 
e107::css("theme", 			"css/animate.css");  // 3.5.1 
e107::css("theme", 			"css/bootstrap-calendar.css");  // Bootstrap 3 CSS Document for Calendar 


e107::js("theme", 			"js/jquery-3.1.1.js"); // 3.1.1
e107::js("theme", 			"js/jquery-migrate-3.0.0.js"); // 3.0.0
e107::js("theme", 			"js/jquerynoconflict.js");

e107::js("theme", 			"js/bootstrap.js"); // 3.3.7

e107::js("theme", 			"js/jquery.parallax-1.1.3.js"); // 1.3.3
e107::js("theme", 			"js/jquery.localscroll-1.2.7-min.js"); // 1.2.7
e107::js("theme", 			"js/jquery.scrollTo-1.4.2-min.js"); // 1.4.2 
  
e107::js("theme", 			"js/custom.js");
                 
e107::js("footer-inline", 	"$('.e-tip').tooltip({container: 'body'})"); // activate bootstrap tooltips. 

define('OTHERNEWS_COLS',false); // no tables, only divs. 
define('OTHERNEWS_LIMIT', 3); // Limit to 3. 
define('OTHERNEWS2_COLS',false); // no tables, only divs. 
define('OTHERNEWS2_LIMIT', 3); // Limit to 3. 


// Theme disclaimer is displayed in your site disclaimer appended to the site disclaimer text.
// Uncomment the line below to set a theme disclaimer (remove the // ).
define('THEME_DISCLAIMER', "<br />".LAN_THEME_6.""); 

 
// applied before every layout.
// $LAYOUT['_header_'] = "";

// applied after every layout. 
// $LAYOUT['_footer_'] = "";


// Default Header layout
$HEADER['business_1_full_width'] = " 
<div id='business1_fullpage' class='header'>
  <div class='container'>
    <div class='row'> 
      <div class='col-xs-12 header-inner'>        
        <div class='col-md-4 sitename-wrap'>           
          <div class='row'>
            <div class='col-xs-4 page-logo'><img class='img-responsive' src='".THEME_ABS."images/page-logo.png' /></div>
            <div class='col-xs-8 sitename'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></div>
          </div>            
        </div>
        <div class='col-md-8 header-navigation'>                                        
          <div class='navbar navbar-default'> 
            <div class='navbar-header'> 
              <button type='button' class='navbar-toggle' data-toggle='collapse' data-target='#bs-navbar-collapse'>
                <span class='sr-only'>Toggle navigation</span>
                <span class='icon-bar'></span>
                <span class='icon-bar'></span>
                <span class='icon-bar'></span>
              </button>
            </div>
            <div id='bs-navbar-collapse' class='collapse navbar-collapse'>                 
              {NAVIGATION=main} 
            </div>
          </div>            
        </div>        
      </div>                              
    </div>
  </div>
</div>
";


// Default Footer layout
$FOOTER['business_1_full_width'] = "
<div id='business1_fullpage' class='footer'>
  <div class='container'>
    <div class='row'> 
      <div class='col-md-6 site-info'>
        {SITEDISCLAIMER}
        {THEME_DISCLAIMER}      
      </div>
      <div class='col-md-6 text-right'>
        {XURL_ICONS: size=2x}
      </div>
    </div>
  </div>        
  <a href='#' class='movetotop'><span class='glyphicon glyphicon-chevron-up'></span></a>
</div>	
";


// Default layout 
$LAYOUT['business_1_full_width'] =  
$HEADER['business_1_full_width']."
<div class='container'>
  <div class='row'>
    <div class='col-md-9'>
      <div class='leftside'>
        {SETSTYLE=leftside}
{---}          
      </div>
    </div>
    <div class='col-md-3'>
      <div class='rightside'>
        {SETSTYLE=rightside}
        {MENU=1}
        {MENU=2} 
      </div>
    </div>
  </div> 
</div>
<div id='business1_fullpage' class='fullpagecontent-contentbar'>
  <div class='contentbar text-center'>
    <div class='container'>
      <div class='row'>
        <div class='col-md-3'>
          {SETSTYLE=bottomside}
          {MENU=3}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=bottomside}
          {MENU=4}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=bottomside}
          {MENU=5}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=bottomside}
          {MENU=6}        
        </div>
      </div>
    </div>               
  </div>
</div>
".$FOOTER['business_1_full_width']       
;


// applied only home page layout.
$HEADER['business_1_home'] = " 
<div id='business1_home' class='header'>
  <div class='container'>
    <div class='row'> 
      <div class='col-xs-12 header-inner'>        
        <div class='col-md-4 sitename-wrap'>           
          <div class='row'>
            <div class='col-xs-4 page-logo'><img class='img-responsive' src='".THEME_ABS."images/page-logo.png' /></div>
            <div class='col-xs-8 sitename'><a href='".e_HTTP."index.php' title='{SITENAME}'>{SITENAME}</a></div>
          </div>            
        </div>
        <div class='col-md-8 header-navigation'>                                        
          <div class='navbar navbar-default'> 
            <div class='navbar-header'> 
              <button type='button' class='navbar-toggle' data-toggle='collapse' data-target='#bs-navbar-collapse'>
                <span class='sr-only'>Toggle navigation</span>
                <span class='icon-bar'></span>
                <span class='icon-bar'></span>
                <span class='icon-bar'></span>
              </button>
            </div>
            <div id='bs-navbar-collapse' class='collapse navbar-collapse'>                 
              {NAVIGATION=main} 
            </div>
          </div>            
        </div>        
      </div>                              
    </div>
    <div class='row'> 
      <div class='col-xs-12'>
        <div class='wmessage'>
          <div class='wmessage-logo'><img class='img-responsive' src='".THEME_ABS."images/page-logo.png' /></div>
          {SETSTYLE=wmessage}
          {WMESSAGE}
        </div>
      </div>
    </div>
  </div>
</div>
";


$FOOTER['business_1_home'] = " 
<div id='business1_home' class='footer'>
  <div class='container'>
    <div class='row'> 
      <div class='col-md-6 site-info'>
        {SITEDISCLAIMER}
        {THEME_DISCLAIMER}      
      </div>
      <div class='col-md-6 text-right'>
        {XURL_ICONS: size=2x}
      </div>
    </div>
  </div>        
  <a href='#' class='movetotop'><span class='glyphicon glyphicon-chevron-up'></span></a>
</div>	
";


$LAYOUT['business_1_home'] = 
$HEADER['business_1_home']."
<div id='business1_home' class='pagecontent-contentbar1'>
  <div class='contentbar1 text-center'>
    <div class='container'>
      <div class='row'>
        <div class='col-xs-12'>
          {SETSTYLE=homeside1}
          {MENU=100}       
        </div>
      </div>
    </div>
  </div>
</div>
<div id='business1_home' class='pagecontent-contentbar2'>
  <div class='contentbar2 text-center'>
    <h3>".LAN_THEME_300."</h3>
    <h4>".LAN_THEME_301."</h4>
    <div class='pagecontent-contentbar2-bottom-line'>
      <span class='pagecontent-contentbar2-bottom-subline'>&nbsp;</span> 
    </div>
    <div class='container'>
      <div class='row contentbar2-row'>
        <div class='col-md-4 contentbar2-column'>
          {SETSTYLE=homeside2}
          {MENU=101}        
        </div>
        <div class='col-md-4 contentbar2-column'>
          {SETSTYLE=homeside2}
          {MENU=102}        
        </div>
        <div class='col-md-4 contentbar2-column'>
          {SETSTYLE=homeside2}
          {MENU=103}        
        </div>
      </div>
    </div>
{---}               
  </div>
</div>
<div id='business1_home' class='pagecontent-contentbar3'>
  <div class='contentbar3 text-center'>
    <div class='container'>
      <div class='row'>
        <div class='col-xs-12'>
          {SETSTYLE=homeside3}
          {MENU=104}        
        </div>
      </div>
    </div>               
  </div>
</div>
<div id='business1_home' class='pagecontent-contentbar4'>
  <div class='contentbar4 text-center'>
    <div class='container'>
      <div class='row'>
        <div class='col-xs-12'>
          {SETSTYLE=homeside4}
          {MENU=contact}
          {MENU=105}        
        </div>
      </div>
    </div>               
  </div>
</div>
<div id='business1_home' class='pagecontent-contentbar5'>
  <div class='contentbar5 text-center'>
    <div class='container'>
      <div class='row'>
        <div class='col-md-3'>
          {SETSTYLE=homeside5}
          {MENU=106}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=homeside5}
          {MENU=107}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=homeside5}
          {MENU=108}        
        </div>
        <div class='col-md-3'>
          {SETSTYLE=homeside5}
          {MENU=109}        
        </div>
      </div>
    </div>               
  </div>
</div>
".$FOOTER['business_1_home']
;


function rand_tag(){
        $tags = file(e_BASE."files/taglines.txt");
        return stripslashes(htmlspecialchars($tags[rand(0, count($tags))]));
}


//        [newsstyle]
/* NEWSSTYLE IS UNUSED FOR NOW */
/* NEWSSTYLE IS IN THEME FOLDER/TEMPLATES/NEWS/news_template.php */

      

//  [list of news category]
/* NEWSLISTSTYLE IS UNUSED FOR NOW */
/* NEWSLISTSTYLE IS IN THEME FOLDER/TEMPLATES/NEWS/news_template.php */



// define('ICONPRINTPDF', 'pdf.png');
// define('ICONMAIL', 'email.png');
// define('ICONPRINT', 'printer.png');
// define('ICONSTYLE', 'float: left; border:0');
define('COMMENTLINK', LAN_THEME_1);
define('COMMENTOFFSTRING', LAN_THEME_2);
define('PRE_EXTENDEDSTRING', '<div class="btn btn-inverse">');
define('EXTENDEDSTRING', LAN_THEME_3);
define('POST_EXTENDEDSTRING', '</div>');
define('TRACKBACKSTRING', LAN_THEME_7);
define('TRACKBACKBEFORESTRING', '&nbsp;|&nbsp;');

define('BULLET', "bullet.png");
define('bullet', "bullet.png");


// linkstyle
/* LINKSTYLE IS UNUSED FOR NOW */
/* LINKSTYLE IS IN THEME FOLDER/TEMPLATES/navigation_template.php */


/**
 * @param string $caption
 * @param string $text
 * @param string $id : id of the current render
 * @param array $info : current style and other menu data. 
 */
function tablestyle($caption, $text, $id='', $info=array()){
       
//  global $style; // no longer needed.

  $style = $info['setStyle'];
  
  echo "<!-- tablestyle: style=".$style." id=".$id." -->\n\n";
	
	$type = $style; 
  
  if($style == 'wmessage'){
    echo "<div class='wmessage-box'>
            <div class='wmessage-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='wmessage-box-body'>{$text}</div>
            <div class='wmessage-bottom-line'>
              <span class='wmessage-bottom-subline'>&nbsp;</span> 
            </div>
          </div>";
  }
  else if($style == 'homeside1'){ 
    echo "<div class='homeside1-box'>
            <div class='homeside1-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='homeside1-bottom-line'>
              <span class='homeside1-bottom-subline'>&nbsp;</span> 
            </div>
            <div class='homeside1-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'homeside2'){ 
    echo "<div class='homeside2-box'>
            <div class='homeside2-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='homeside2-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'homeside3'){ 
    echo "<div class='homeside3-box'>
            <div class='homeside3-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='homeside3-bottom-line'>
              <span class='homeside3-bottom-subline'>&nbsp;</span> 
            </div>
            <div class='homeside3-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'homeside4'){ 
    echo "<div class='homeside4-box'>
            <div class='homeside4-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='homeside4-bottom-line'>
              <span class='homeside4-bottom-subline'>&nbsp;</span> 
            </div>
            <div class='homeside4-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'homeside5'){ 
    echo "<div class='homeside5-box'>
            <div class='homeside5-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='homeside5-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'leftside'){ 
    echo "<div class='leftmenu-box'>
            <div class='leftmenu-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='leftmenu-box-title-bottom-line'>
              <span class='leftmenu-box-title-bottom-subline'>&nbsp;</span> 
            </div>
            <div class='leftmenu-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'rightside'){ 
    echo "<div class='rightmenu-box'>  
            <div class='rightmenu-box-title'>        		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='rightmenu-box-title-bottom-line'>
              <span class='rightmenu-box-title-bottom-subline'>&nbsp;</span> 
            </div>
            <div class='rightmenu-box-body'>{$text}</div> 
          </div>";
  }
  else if($style == 'bottomside'){ 
    echo "<div class='bottomside-box'>
            <div class='bottomside-box-title'>          		                                                      
              <h2>{$caption}</h2>
            </div>
            <div class='bottomside-box-body'>{$text}</div> 
          </div>";
  }
  else {
    echo "<div class='othermenu-box'>
		        <div class='othermenu-box-title'>         
              <h2>{$caption}</h2>                  
            </div>		                                 
            <div class='othermenu-box-body'>{$text}</div>                       
          </div>";
	}
}

// chatbox post style
// $CHATBOXSTYLE in THEME FOLDER/templates/chatbox_menu/chat_template.php    


// Image Version Example
// $SEARCH_SHORTCODE in THEME FOLDER/search_template.php

?>